# Kafka

Apache Kafka is a distributed streaming platform that:

1. Lets you publish and subscribe to streams of records. In this respect it is similar to a message queue or enterprise messaging system.
2. Lets you store streams of records in a fault-tolerant way.
3. Lets you process streams of records as they occur.

## Installation

Install the kafkaAUR package. Start `kafka.service` with systemctl which should also atomatically enable/start `zookeeper@kafka.service` as well.

## Usage

For usage see official documentation

## Clients

- C - librdkafka-gitAUR
- Python - https://github.com/dpkp/kafka-python
- Php - php-rdkafkaAUR
- Perl - perl16-pkafkaAUR

Category:

- Networking